openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.API.Store

Contents

- Operations
  - Store
    - deleteOrder
    - getInventory
    - getOrderById
    - placeOrder

Description

Synopsis

- deleteOrder :: OrderIdText -> OpenAPIPetstoreRequest DeleteOrder MimeNoContent NoContent MimeNoContent
- data DeleteOrder
- getInventory :: OpenAPIPetstoreRequest GetInventory MimeNoContent (Map String Int) MimeJSON
- data GetInventory
- getOrderById :: Accept accept -> OrderId -> OpenAPIPetstoreRequest GetOrderById MimeNoContent Order accept
- data GetOrderById
- placeOrder :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => ContentType contentType -> Accept accept -> Order -> OpenAPIPetstoreRequest PlaceOrder contentType Order accept
- data PlaceOrder

# Operations

## Store

### deleteOrder

deleteOrder Source #

Arguments

:: OrderIdText | "orderId" - ID of the order that needs to be deleted
-> OpenAPIPetstoreRequest DeleteOrder MimeNoContent NoContent MimeNoContent |

    DELETE /store/order/{order_id}

Delete purchase order by ID

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

data DeleteOrder Source #

Instances

Produces DeleteOrder MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Store

### getInventory

getInventory :: OpenAPIPetstoreRequest GetInventory MimeNoContent (Map String Int) MimeJSON Source #

    GET /store/inventory

Returns pet inventories by status

Returns a map of status codes to quantities

AuthMethod: `AuthApiKeyApiKey`

data GetInventory Source #

Instances

Produces GetInventory MimeJSON Source # |
    application/json
Instance details Defined in OpenAPIPetstore.API.Store

### getOrderById

getOrderById Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> OrderId | "orderId" - ID of pet that needs to be fetched
-> OpenAPIPetstoreRequest GetOrderById MimeNoContent Order accept |

    GET /store/order/{order_id}

Find purchase order by ID

For valid response try integer IDs with value 5 or 10. Other values will generated exceptions

data GetOrderById Source #

Instances

Produces GetOrderById MimeXML Source # |
    application/xml
Instance details Defined in OpenAPIPetstore.API.Store
Produces GetOrderById MimeJSON Source # |
    application/json
Instance details Defined in OpenAPIPetstore.API.Store

### placeOrder

placeOrder Source #

Arguments

:: (Consumes PlaceOrder contentType, MimeRender contentType Order) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Order | "body" - order placed for purchasing the pet
-> OpenAPIPetstoreRequest PlaceOrder contentType Order accept |

    POST /store/order

Place an order for a pet

data PlaceOrder Source #

Instances

Produces PlaceOrder MimeXML Source # |
    application/xml
Instance details Defined in OpenAPIPetstore.API.Store
Produces PlaceOrder MimeJSON Source # |
    application/json
Instance details Defined in OpenAPIPetstore.API.Store
MimeType mtype => Consumes PlaceOrder mtype Source # |
    */*
Instance details Defined in OpenAPIPetstore.API.Store
HasBodyParam PlaceOrder Order Source # | Body Param "body" - order placed for purchasing the pet
Instance details Defined in OpenAPIPetstore.API.Store Methods setBodyParam :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => OpenAPIPetstoreRequest PlaceOrder contentType res accept -> Order -> OpenAPIPetstoreRequest PlaceOrder contentType res accept Source #